FlightAware Discussions

Lost connection to FA web map

I lost the connection to FA web map after trying to install a Gains drop-down menu in Piaware 3.6.3 SD card image +dump1090fa but still sending data. Can you help me to fix it please??? I’m very newbie in pi software

Please link the post you followed or explain what you did.

Also show the output of this command please:

sudo journalctl -u lighttpd -en50 --no-pager

You will need to show me the output of that command i posted as well, otherwise i cant help you.

how to get it from putty?

Just mark the text in putty and then Ctrl-V here. (no ctrl-c in putty needed)

pi@RaspberryPi3:~ $ sudo journalctl -u lighttpd -en50 --no-pager

– Logs begin at Thu 2016-11-03 19:16:42 EET, end at Sun 2019-02-17 20:33:47 EET. –
Feb 17 18:53:31 RaspberryPi3 systemd[1]: Starting Lighttpd Daemon…
Feb 17 18:53:32 RaspberryPi3 lighttpd[469]: 2019-02-17 18:53:32: (mod_fastcgi.c.1478) invalid “bin-path” => “/usr/bin/php-cgi” (check that file exists, is regular file, and is executable by lighttpd)
Feb 17 18:53:33 RaspberryPi3 systemd[1]: Started Lighttpd Daemon.
Feb 17 18:53:33 RaspberryPi3 systemd[1]: lighttpd.service: Main process exited, code=exited, status=255/n/a
Feb 17 18:53:33 RaspberryPi3 systemd[1]: lighttpd.service: Unit entered failed state.
Feb 17 18:53:33 RaspberryPi3 systemd[1]: lighttpd.service: Failed with result ‘exit-code’.
Feb 17 18:53:33 RaspberryPi3 systemd[1]: lighttpd.service: Service hold-off time over, scheduling restart.
Feb 17 18:53:33 RaspberryPi3 systemd[1]: Stopped Lighttpd Daemon.
Feb 17 18:53:33 RaspberryPi3 systemd[1]: Starting Lighttpd Daemon…
Feb 17 18:53:34 RaspberryPi3 lighttpd[642]: 2019-02-17 18:53:33: (mod_fastcgi.c.1478) invalid “bin-path” => “/usr/bin/php-cgi” (check that file exists, is regular file, and is executable by lighttpd)
Feb 17 18:53:34 RaspberryPi3 systemd[1]: Started Lighttpd Daemon.
Feb 17 18:53:34 RaspberryPi3 systemd[1]: lighttpd.service: Main process exited, code=exited, status=255/n/a
Feb 17 18:53:34 RaspberryPi3 systemd[1]: lighttpd.service: Unit entered failed state.
Feb 17 18:53:34 RaspberryPi3 systemd[1]: lighttpd.service: Failed with result ‘exit-code’.
Feb 17 18:53:34 RaspberryPi3 systemd[1]: lighttpd.service: Service hold-off time over, scheduling restart.
Feb 17 18:53:34 RaspberryPi3 systemd[1]: Stopped Lighttpd Daemon.
Feb 17 18:53:34 RaspberryPi3 systemd[1]: Starting Lighttpd Daemon…
Feb 17 18:53:34 RaspberryPi3 lighttpd[693]: 2019-02-17 18:53:34: (mod_fastcgi.c.1478) invalid “bin-path” => “/usr/bin/php-cgi” (check that file exists, is regular file, and is executable by lighttpd)
Feb 17 18:53:34 RaspberryPi3 systemd[1]: Started Lighttpd Daemon.
Feb 17 18:53:35 RaspberryPi3 systemd[1]: lighttpd.service: Main process exited, code=exited, status=255/n/a
Feb 17 18:53:35 RaspberryPi3 systemd[1]: lighttpd.service: Unit entered failed state.
Feb 17 18:53:35 RaspberryPi3 systemd[1]: lighttpd.service: Failed with result ‘exit-code’.
Feb 17 18:53:35 RaspberryPi3 systemd[1]: lighttpd.service: Service hold-off time over, scheduling restart.
Feb 17 18:53:35 RaspberryPi3 systemd[1]: Stopped Lighttpd Daemon.
Feb 17 18:53:35 RaspberryPi3 systemd[1]: Starting Lighttpd Daemon…
Feb 17 18:53:35 RaspberryPi3 lighttpd[736]: 2019-02-17 18:53:35: (mod_fastcgi.c.1478) invalid “bin-path” => “/usr/bin/php-cgi” (check that file exists, is regular file, and is executable by lighttpd)
Feb 17 18:53:35 RaspberryPi3 systemd[1]: Started Lighttpd Daemon.
Feb 17 18:53:36 RaspberryPi3 systemd[1]: lighttpd.service: Main process exited, code=exited, status=255/n/a
Feb 17 18:53:36 RaspberryPi3 systemd[1]: lighttpd.service: Unit entered failed state.
Feb 17 18:53:36 RaspberryPi3 systemd[1]: lighttpd.service: Failed with result ‘exit-code’.
Feb 17 18:53:36 RaspberryPi3 systemd[1]: lighttpd.service: Service hold-off time over, scheduling restart.
Feb 17 18:53:36 RaspberryPi3 systemd[1]: Stopped Lighttpd Daemon.
Feb 17 18:53:36 RaspberryPi3 systemd[1]: Starting Lighttpd Daemon…
Feb 17 18:53:36 RaspberryPi3 lighttpd[829]: 2019-02-17 18:53:36: (mod_fastcgi.c.1478) invalid “bin-path” => “/usr/bin/php-cgi” (check that file exists, is regular file, and is executable by lighttpd)
Feb 17 18:53:36 RaspberryPi3 systemd[1]: Started Lighttpd Daemon.
Feb 17 18:53:37 RaspberryPi3 systemd[1]: lighttpd.service: Main process exited, code=exited, status=255/n/a
Feb 17 18:53:37 RaspberryPi3 systemd[1]: lighttpd.service: Unit entered failed state.
Feb 17 18:53:37 RaspberryPi3 systemd[1]: lighttpd.service: Failed with result ‘exit-code’.
Feb 17 18:53:37 RaspberryPi3 systemd[1]: lighttpd.service: Service hold-off time over, scheduling restart.
Feb 17 18:53:37 RaspberryPi3 systemd[1]: Stopped Lighttpd Daemon.
Feb 17 18:53:37 RaspberryPi3 systemd[1]: lighttpd.service: Start request repeated too quickly.
Feb 17 18:53:37 RaspberryPi3 systemd[1]: Failed to start Lighttpd Daemon.
Feb 17 18:53:37 RaspberryPi3 systemd[1]: lighttpd.service: Unit entered failed state.
Feb 17 18:53:37 RaspberryPi3 systemd[1]: lighttpd.service: Failed with result ‘exit-code’.
pi@RaspberryPi3:~ $

repeat Step1 of the guide you posted.

you don’t have php-cgi installed probably.

Hmm seems php5-cgi does not exist on stretch.

Try

sudo apt install php-cgi
sudo /etc/init.d/lighttpd force-reload

It’s done with php 7.0

php5-cgi for Jessie
php7-cgi for Stretch

.

Done sudo apt install php-cgi
Reading package lists… Done
Building dependency tree
Reading state information… Done
The following additional packages will be installed:
php-common php7.0-cgi php7.0-cli php7.0-common php7.0-json php7.0-opcache
php7.0-readline
Suggested packages:
php-pear
The following NEW packages will be installed:
php-cgi php-common php7.0-cgi php7.0-cli php7.0-common php7.0-json
php7.0-opcache php7.0-readline
0 upgraded, 8 newly installed, 0 to remove and 19 not upgraded.
Need to get 2,666 kB of archives.
After this operation, 13.9 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Abort.
pi@RaspberryPi3:~ $ sudo apt install php-cgi
Reading package lists… Done
Building dependency tree
Reading state information… Done
The following additional packages will be installed:
php-common php7.0-cgi php7.0-cli php7.0-common php7.0-json php7.0-opcache
php7.0-readline
Suggested packages:
php-pear
The following NEW packages will be installed:
php-cgi php-common php7.0-cgi php7.0-cli php7.0-common php7.0-json
php7.0-opcache php7.0-readline
0 upgraded, 8 newly installed, 0 to remove and 19 not upgraded.
Need to get 2,666 kB of archives.
After this operation, 13.9 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://flightaware.com/mirror/raspbian/raspbian stretch/main armhf php-common all 1:49 [14.1 kB]
Get:2 http://flightaware.com/mirror/raspbian/raspbian stretch/main armhf php7.0-common armhf 7.0.33-0+deb9u1 [485 kB]
Get:3 http://flightaware.com/mirror/raspbian/raspbian stretch/main armhf php7.0-json armhf 7.0.33-0+deb9u1 [15.2 kB]
Get:4 http://flightaware.com/mirror/raspbian/raspbian stretch/main armhf php7.0-opcache armhf 7.0.33-0+deb9u1 [64.8 kB]
Get:5 http://flightaware.com/mirror/raspbian/raspbian stretch/main armhf php7.0-readline armhf 7.0.33-0+deb9u1 [10.8 kB]
Get:6 http://flightaware.com/mirror/raspbian/raspbian stretch/main armhf php7.0-cli armhf 7.0.33-0+deb9u1 [1,052 kB]
Get:7 http://flightaware.com/mirror/raspbian/raspbian stretch/main armhf php7.0-cgi armhf 7.0.33-0+deb9u1 [1,019 kB]
Get:8 http://flightaware.com/mirror/raspbian/raspbian stretch/main armhf php-cgi all 1:7.0+49 [5,186 B]
Fetched 2,666 kB in 2s (1,133 kB/s)
Selecting previously unselected package php-common.
(Reading database … 38951 files and directories currently installed.)
Preparing to unpack …/0-php-common_1%3a49_all.deb …
Unpacking php-common (1:49) …
Selecting previously unselected package php7.0-common.
Preparing to unpack …/1-php7.0-common_7.0.33-0+deb9u1_armhf.deb …
Unpacking php7.0-common (7.0.33-0+deb9u1) …
Selecting previously unselected package php7.0-json.
Preparing to unpack …/2-php7.0-json_7.0.33-0+deb9u1_armhf.deb …
Unpacking php7.0-json (7.0.33-0+deb9u1) …
Selecting previously unselected package php7.0-opcache.
Preparing to unpack …/3-php7.0-opcache_7.0.33-0+deb9u1_armhf.deb …
Unpacking php7.0-opcache (7.0.33-0+deb9u1) …
Selecting previously unselected package php7.0-readline.
Preparing to unpack …/4-php7.0-readline_7.0.33-0+deb9u1_armhf.deb …
Unpacking php7.0-readline (7.0.33-0+deb9u1) …
Selecting previously unselected package php7.0-cli.
Preparing to unpack …/5-php7.0-cli_7.0.33-0+deb9u1_armhf.deb …
Unpacking php7.0-cli (7.0.33-0+deb9u1) …
Selecting previously unselected package php7.0-cgi.
Preparing to unpack …/6-php7.0-cgi_7.0.33-0+deb9u1_armhf.deb …
Unpacking php7.0-cgi (7.0.33-0+deb9u1) …
Selecting previously unselected package php-cgi.
Preparing to unpack …/7-php-cgi_1%3a7.0+49_all.deb …
Unpacking php-cgi (1:7.0+49) …
Setting up php-common (1:49) …
Created symlink /etc/systemd/system/timers.target.wants/phpsessionclean.timer → /lib/systemd/system/phpsessionclean.timer.
Processing triggers for man-db (2.7.6.1-2) …
Setting up php7.0-common (7.0.33-0+deb9u1) …

Creating config file /etc/php/7.0/mods-available/calendar.ini with new version

Creating config file /etc/php/7.0/mods-available/ctype.ini with new version

Creating config file /etc/php/7.0/mods-available/exif.ini with new version

Creating config file /etc/php/7.0/mods-available/fileinfo.ini with new version

Creating config file /etc/php/7.0/mods-available/ftp.ini with new version

Creating config file /etc/php/7.0/mods-available/gettext.ini with new version

Creating config file /etc/php/7.0/mods-available/iconv.ini with new version

Creating config file /etc/php/7.0/mods-available/pdo.ini with new version

Creating config file /etc/php/7.0/mods-available/phar.ini with new version

Creating config file /etc/php/7.0/mods-available/posix.ini with new version

Creating config file /etc/php/7.0/mods-available/shmop.ini with new version

Creating config file /etc/php/7.0/mods-available/sockets.ini with new version

Creating config file /etc/php/7.0/mods-available/sysvmsg.ini with new version

Creating config file /etc/php/7.0/mods-available/sysvsem.ini with new version

Creating config file /etc/php/7.0/mods-available/sysvshm.ini with new version

Creating config file /etc/php/7.0/mods-available/tokenizer.ini with new version
Setting up php7.0-readline (7.0.33-0+deb9u1) …

Creating config file /etc/php/7.0/mods-available/readline.ini with new version
Setting up php7.0-opcache (7.0.33-0+deb9u1) …

Creating config file /etc/php/7.0/mods-available/opcache.ini with new version
Setting up php7.0-json (7.0.33-0+deb9u1) …

Creating config file /etc/php/7.0/mods-available/json.ini with new version
Setting up php7.0-cli (7.0.33-0+deb9u1) …
update-alternatives: using /usr/bin/php7.0 to provide /usr/bin/php (php) in auto mode
update-alternatives: using /usr/bin/phar7.0 to provide /usr/bin/phar (phar) in auto mode
update-alternatives: using /usr/bin/phar.phar7.0 to provide /usr/bin/phar.phar (phar.phar) in auto mode

Creating config file /etc/php/7.0/cli/php.ini with new version
Setting up php7.0-cgi (7.0.33-0+deb9u1) …
update-alternatives: using /usr/bin/php-cgi7.0 to provide /usr/bin/php-cgi (php-cgi) in auto mode
update-alternatives: using /usr/lib/cgi-bin/php7.0 to provide /usr/lib/cgi-bin/php (php-cgi-bin) in auto mode

Creating config file /etc/php/7.0/cgi/php.ini with new version
Setting up php-cgi (1:7.0+49) …
pi@RaspberryPi3:~ sudo lighty-enable-mod fastcgi-php already enabled Run "service lighttpd force-reload" to enable changes pi@RaspberryPi3:~ sudo /etc/init.d/lighttpd force-reload
[ ok ] Reloading lighttpd configuration (via systemctl): lighttpd.service.
pi@RaspberryPi3:~ $

The first post of the howto thread is not yet updated to give a version for the piaware (stretch) sd-card. :slight_smile:

Why do you post the output?

It should be working now again :stuck_out_tongue:
Is it not?

  1. Cannot update posts older than a month or so :frowning:

  2. @kostaskt is using old thread.
    New thread is here, and shows two SD card options, Jessie based & Stretch based:
    https://discussions.flightaware.com/t/how-to-read-set-gain-from-skyview-and-gmap/37140

No I will start new process after send my child to bed Thanks for now

Yeah that would be really handy.

@esmathews

Any chance to change discourse edit time limit?
(https://meta.discourse.org/t/free-to-edit-post-at-any-time/35516)

(I guess you don’t want to because of link spam, maybe you can give it as a privilege for people who post howtos on here?)

This is really bad that after the forum upgrade to Discourse, the facility to edit posts older than a month or so is blocked. As a result no howto can be updated with update of the raspbian or piaware or dump1090-fa. If someone uses the old howto, he endsup in trouble like this.

I really dont understand why editing old posts was blocked when the forum was upgraded.

It is apparently the default setting in discourse, maybe they are ok to change it, let’s see :slight_smile:

It seems making a post a wiki exempts it from the edit time limitation, but i guess others can edit my post then as well.
(can you try editing the first post in my airspy mini thread, i made it a wiki post)

I tried, but no, I can not. May be you (the owner of post) can.